=== modified file 'Makefile.am.coverage'
--- Makefile.am.coverage	2012-08-17 00:32:39 +0000
+++ Makefile.am.coverage	2012-11-29 17:07:36 +0000
@@ -13,6 +13,10 @@
 	-$(MAKE) $(AM_MAKEFLAGS) -k check
 	$(MAKE) $(AM_MAKEFLAGS) generate-coverage-html
 
+coverage-xml: clean-gcda
+	-$(MAKE) $(AM_MAKEFLAGS) -k check
+	 gcovr --xml -r $(top_builddir) -o "$(top_builddir)/coverage.xml" --exclude='.*tests.*'
+
 generate-coverage-html:
 	@echo Collecting coverage data
 	$(LCOV) --directory $(top_builddir) --capture --output-file coverage.info --no-checksum --compat-libtool

